#include <stdint.h>

typedef struct {
	union {
		uint64_t A[25];
		uint8_t dbuf[200];
	} st;
	uint64_t dptr;
} shake256_context;

void SRAND(shake256_context *sc);
int RAND(shake256_context *sc, int64_t m);
void RANDOM_SHUFFLE(shake256_context *sc, int *x, int n);
